#include <iostream>
#include <fstream>
#include<iomanip>
#include<cmath>
using namespace std;
int main()
{
	float n;
	ifstream fi("tinh.inp");
    fi>>n;
	fi.close();
	ofstream fo("tinh.out");
	int s=0;
	for(int i=1;i<=2*n+1;i=i+2)
	{
		s=s+i;
	}
     int p=1;
     for(int m=1;m<=n;m++)
     {
     	p=p*m;
	 }
	 float r=0.5-1/(n+1);
	 int u1=1;
	 int u2=1;
	 int u3,temp;
	 for(int u=1;u<=n-2;u++)
	 {
	 	u3=u1+u2;
	 	temp=u2;
	 	u2=u3;
	 	u1=temp;
	 	
	 }
	 fo.setf(ios::fixed);
	 fo.setf(ios::showpoint);
	 fo.precision(2);
	 fo<<s<<endl;
	 fo<<p<<endl;
	 fo<<r<<endl;
	 fo<<u3<<endl;
     fo.close();
     return 0;
}


